import { Routes, Route, useLocation } from "react-router-dom";
import "./App.css";
import { AnimatePresence } from "framer-motion";

// Pages & Components
import Navbar from "./components/navbar/Navbar";
import Footer from "./components/footer/Footer";
import Home from "./pages/home/Home";
import Features from "./pages/features/Features";
import Contact from "./pages/contact/Contact";

export default function AppContent() {
  const location = useLocation();
  return (
    <>
      <Navbar />
      <AnimatePresence mode="wait" />
      <Routes location={location} key={location.pathname}>
        <Route path="/" element={<Home />} />
        <Route path="/features" element={<Features />} />
        <Route path="/contact" element={<Contact />} />
      </Routes>
      <Footer />
    </>
  );
}
