import React, { useState } from "react";
import "./Navbar.css";
import { Link } from "react-router-dom";
import { FaBars } from "react-icons/fa6";

function Navbar() {
  const [menuOpen, setMenuOpen] = useState<boolean>(false);

  const toggleMenu = (): void => {
    setMenuOpen((prevState) => !prevState);
  };
  return (
    <header className="navbar">
      <div className="logo">
        <Link to="/">Shorten It</Link>
      </div>

      <FaBars className="hamburger" onClick={toggleMenu} />

      <nav className="navbar-container">
        <ul className={menuOpen ? "open" : ""}>
          <li>
            <Link to="/">Home</Link>
          </li>
          <li>
            <Link to="/features">Features</Link>
          </li>
          <li>
            <Link to="/contact">Contact</Link>
          </li>

          <button className="navbar-btn">Login</button>
        </ul>
      </nav>
    </header>
  );
}

export default Navbar;
