import React from "react";
import "./Features.css";
import FeaturesCard from "../../components/featuresCard/FeaturesCard";
import { FaLink } from "react-icons/fa";
import { motion } from "framer-motion";

function Features() {
  return (
    <>
      <motion.section
        className="features-header"
        initial={{ opacity: 0 }}
        animate={{ opacity: 1 }}
        exit={{ opacity: 0 }}
        transition={{ duration: 0.7, ease: "easeInOut" }}
      >
        <h2>Features</h2>
        <h1>Our Services & Features</h1>
      </motion.section>

      <motion.section
        className="features-body"
        initial={{ opacity: 0 }}
        animate={{ opacity: 1 }}
        exit={{ opacity: 0 }}
        transition={{ duration: 1.5, ease: "easeInOut" }}
      >
        <div className="Feature-Card">
          <FeaturesCard
            icon={<FaLink />}
            title="URL Shortener"
            description="Transform long URLs into short, shareable links in a blink of an eye."
            link="/"
          />
        </div>
      </motion.section>
    </>
  );
}

export default Features;
